Name: leiningen
Version: 2.10.0
Release: 1%{?dist}
Summary: Automate Clojure projects without setting your hair on fire
Group: Development/Tools
License: EPL-1.0

URL: https://codeberg.org/leiningen/leiningen

Source0:         https://github.com/technomancy/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch: noarch
Requires:      java-headless >= 1:1.8.0
Requires:      clojure => 1.10.0

%if 0%{?fedora_version} && 0%{?fedora_version} >= 33
Recommends:    rlwrap
%endif

%description
Leiningen is for automating Clojure projects without setting your hair on fire.

%prep
%autosetup

%build

%install
sed -i 's!/bin/env bash!/bin/bash!' ./bin/lein
install -m 0755 -D ./bin/lein %{buildroot}%{_bindir}/lein
install -m 0644 -D ./doc/lein.1 %{buildroot}%{_mandir}/man1/lein.1
install -m 0644 -D ./zsh_completion.zsh %{buildroot}%{_sysconfdir}/zsh_completion.d/_lein
install -m 0644 -D ./bash_completion.bash %{buildroot}%{_datadir}/bash-completion/completions/lein.sh

%files 
%defattr(-,root,root)
%license COPYING
%doc CONTRIBUTING.md README.md NEWS.md
%defattr(-,root,root)
%{_bindir}/lein
%dir %{_mandir}/man1/
%{_mandir}/man1/lein*
%{_datadir}/bash-completion/completions/*.sh
%config %{_sysconfdir}/zsh_completion.d

%changelog
* Tue Apr 24 2023 Golanv <mullein@adelie.io - 2.10.0-1
- Update to 2.10.0

* Thu Aug 11 2022 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.10-1
- Update to 2.9.10.

* Sun Aug 07 2022 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.9-2
- Fix lein-pkg and COPYING source urls.

* Sun Aug 07 2022 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.9-1
- Update to 2.9.9.
- Update leiningen sources to codeberg.

* Fri Nov 12 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.8-2
- Fix EPEL7 builds, add conditional for Recommends tag.

* Fri Nov 12 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.8-1
- Update to upstream 2.9.8

* Thu Sep 16 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.7-2
- Add dependency to javapackages-tools and rlwrap

* Thu Sep 16 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.7-1
- Update to upstream 2.9.7

* Sat Apr 17 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.6-2
- Fix spec date errors

* Sat Apr 17 2021 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.6-1
- Update to leiningen 2.9.6

* Tue Dec 08 2020 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.5-1
- Fix lein-pkg startup script

* Sun Dec 06 2020 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.4-4
- Fix lein-pkg startup script

* Sat Dec 05 2020 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.4-3
- Fix leiningen version in lein startup script

* Sun Jul 12 2020 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.4-1
- Update to leiningen 2.9.4

* Sun Mar 29 2020 Markku Korkeala <markku.korkeala@iki.fi> - 2.9.3-1
- Initial release


